pioneersai(6)

NAME
pioneersai - Computer player for Pioneers

SYNOPSIS
pioneersai [ -s server ] [ -p port ] -n name
[ -a algorithm ] [ -t milliseconds ] [ -c ]

DESCRIPTION
This manual page documents briefly the pioneersai command.

Pioneers is an emulation of the Settlers of Catan board game which can be played over the internet. This is a computer player implementation that can take part in Pioneers games.

OPTIONS

-s,--server server
    Connect to a pioneers game running on server.

-p,--port port
    Connect to a pioneers game running on port.

-n,--name name
    Specify name of the computer player.

-a,--algorithm algorithm
    Specify algorithm of the computer player. The only algorithm for an active partipant in a game is "greedy". Other allowed values are: lobbybot, logbot.

-t,--time milliseconds
    Time to wait between turns, in milliseconds. Default is 1000.

-c,--chat-free
    Do not chat with other players.

--debug
    Enable debug messages.

--version
    Show version information.

AUTHOR
This manual page was written by Jeff Breidenbach <jab@debian.org>, and updated by Roland Clobus <rclobus@rclobus.nl>. Pioneers was written by Dave Cole <dave@dccs.com.au>, Andy Heroff <aheroff@mediaone.net>, and Roman Hodek <roman@hodek.net>, with contributions from many other developers on the Internet; see the AUTHORS file in the pioneers distribution for a complete list of contributing authors.

SEE ALSO
pioneers(6), pioneers-server-gtk(6), pioneers-server-console(6)